# Link

- category: UI
- chinese: 链接
- type: UI Component

---

## Design
  
This component implement uses navigator module in weex, and uses `<a>` in web environment.
  
**Notice**This component may have compatibility issues in different apps, because native navigator module can be easily overwritten. Please test it before usage.

Link can be used as a container component with child components such as View, Text, Image or text node.

````js
//goes to web page
<Link href="some url">
    <Text>name:</Text> <Text>Nuke</Text>
</Link>

// or goes to other protocals
<Link href="mailto:someone@someone.com">email</Link>
<Link href="sms:10086">send a sms message</Link>
<Link href="tel:10086">make a call</Link>

````


## API

### Link

| Atrribute | Description                                                                        | Type   | Default |
| --------- | ---------------------------------------------------------------------------------- | ------ | ------- |
| href      | Link to the next page                                                              | string | null    |
| webUrl    | You can use this API if you need to declare a special url during the h5 relegating | string |
| target    | New Windows open (h5 only)                                                         | string | '_self' |

